![header](https://raw.githubusercontent.com/vdhooftcompmet/MS2LDA/main/App/assets/MS2LDA_LOGO_white.jpg)
![Maintainer](https://img.shields.io/badge/maintainer-Rosina_Torres_Ortega-blue)
![Maintainer](https://img.shields.io/badge/maintainer-Jonas_Dietrich-blue)
![Maintainer](https://img.shields.io/badge/maintainer-Joe_Wandy-blue)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.12625409.svg)](https://doi.org/10.5281/zenodo.11394248)

**MS2LDA** is an advanced tool designed for unsupervised substructure discovery in mass spectrometry data, utilizing topic modeling and providing automated annotation of discovered motifs. This tool significantly enhances the capabilities described in the [original MS2LDA paper](https://www.pnas.org/doi/abs/10.1073/pnas.1608041113) (2016), offering users an integrated workflow with improved usability, detailed visualizations, and a searchable motif database (MotifDB).

Mass spectrometry fragmentation patterns hold abundant structural information vital for analytical chemistry, natural product research, and food safety assessments. However, interpreting this data remains challenging, and only a fraction of available information is traditionally utilized. MS2LDA addresses this by identifying recurring substructures (motifs) across spectral datasets without relying on prior compound identification, thus accelerating structure elucidation and analysis.

---

# MS2LDA Installation and Usage

You can install MS2LDA using **pip**, **Conda**, or **Poetry**, depending on your preferences and requirements.

## Quick Install with pip

```bash
pip install ms2lda
```

## Installation Guides

For more detailed installation options and development setup:

- [**Conda Installation Guide**](README_CONDA.md) - Uses Conda environment management.
- [**Poetry Installation Guide**](README_POETRY.md) - Uses Poetry for dependency management (recommended for developers).

---

## Command Line Tool Usage

MS2LDA provides powerful command-line tools for batch processing and analysis of mass spectrometry data.

For detailed instructions on using the command-line interface, see the [**Command Line Tool Guide**](README_CLI.md).

---

## MS2LDAViz Application

MS2LDA includes a web-based visualization application (MS2LDAViz) for exploring and analyzing results.

For instructions on starting and using the visualization application, see the [**MS2LDAViz Guide**](README_VIZ.md).

---

## MS2LDA Documentation
Over the coming weeks, we will be developing comprehensive documentation to ensure clarity for users and developers. Stay tuned for detailed updates!

## Citing MS2LDA

Please cite our work if you use MS2LDA in your research:

Torres Ortega, L.R., Dietrich, J., Wandy, J., Mol, H., & van der Hooft, J.J.J. (2025). Large-scale discovery and annotation of hidden substructure patterns in mass spectrometry profiles. *bioRxiv*. doi: [https://doi.org/10.1101/2025.06.19.659491](https://www.biorxiv.org/content/10.1101/2025.06.19.659491v1)

---

## Our Research Group

[![GitHub Logo](https://github.com/vdhooftcompmet/group-website/blob/main/website/custom/logo/logo.png?raw=true)](https://vdhooftcompmet.github.io)
[![Github Logo](App/assets/WUR_RGB_standard_2021.png?raw=true)](https://www.wur.nl/en.htm)

---
